Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
    Mohamed Cherif Bouchelaghem
    @cherifGsoul
    Kevin Phillips
    @phillipskevin

    it's a property... if you do

    var foo = {
      get bar() {
      }
    }

    you would access bar as a property of foo like foo.bar

    Mohamed Cherif Bouchelaghem
    @cherifGsoul
    yes thanks @phillipskevin
    Nico R.
    @nriesco
    Hi, I’m getting a lot of warnings and errors because of documentjs. I use it in my projects and when running npm audit I get about 50 errors/warnings related to documentjs
    54 vulnerabilities found - Packages audited: 80846 (2107 dev, 455 optional) Severity: 7 Low | 38 Moderate | 9 High
    2__bash.png
    is it possible to fix this by realising a new version of documentjs? I’m new to this audit tool of npm
    Chasen Le Hara
    @chasenlehara
    @nriesco We haven’t been able to dedicate any resources to DocumentJS, but we’ll happily accept PRs.
    Nico R.
    @nriesco
    Ok, let me give it a shot
    Nico R.
    @nriesco
    @chasenlehara the master branch is not passing all the tests, which is the latest stable branch?
    Chasen Le Hara
    @chasenlehara
    @nriesco GitHub shows the last release passed: https://github.com/bitovi/documentjs/commits/master
    Is it not passing when you run it locally?
    Nico R.
    @nriesco
    locally not passing, maybe node version and npm versions? I use node 8.11.1
    npm 6.0.1
    Chasen Le Hara
    @chasenlehara
    Maybe… if you click the green checkmark next to the commit info, it’ll show you the different builds with various platforms / Node versions.
    Nico R.
    @nriesco
    The first test to fail is: 1) body is rendered as a mustache template prior to markdown
    within documentjs/lib/generators/html
    5__node.png
    Nico R.
    @nriesco
    You can't have two versions of can-cid, check your dependencies
    the details for the failure:
    1) documentjs/lib/generators/html
           body is rendered as a mustache template prior to markdown:
         Error loading "demo_frame.stache!steal-stache" at <unknown>
    Error loading "demo_frame.stache!steal-stache" from "static" at file:/Users/nriesco/git/riescorp/documentjs/site/static/build/99914b932bd37a50b983c5e7c90ae93b/static.js
    Error loading "steal-stache" at file:/Users/nriesco/git/riescorp/documentjs/node_modules/steal-stache/steal-stache.js
    Error evaluating file:/Users/nriesco/git/riescorp/documentjs/node_modules/steal-stache/steal-stache.js
    Error evaluating file:/Users/nriesco/git/riescorp/documentjs/node_modules/can-stache/src/intermediate_and_imports.js
    Error evaluating file:/Users/nriesco/git/riescorp/documentjs/node_modules/can-stache/src/mustache_core.js
    Error evaluating file:/Users/nriesco/git/riescorp/documentjs/node_modules/can-view-live/can-view-live.js
    Error evaluating file:/Users/nriesco/git/riescorp/documentjs/node_modules/can-view-live/lib/core.js
    Error evaluating file:/Users/nriesco/git/riescorp/documentjs/node_modules/can-view-nodelist/can-view-nodelist.js
    Error evaluating file:/Users/nriesco/git/riescorp/documentjs/node_modules/can-util/dom/mutate/mutate.js
    Error evaluating file:/Users/nriesco/git/riescorp/documentjs/node_modules/can-util/dom/data/data.js
    Error evaluating file:/Users/nriesco/git/riescorp/documentjs/node_modules/can-util/dom/mutation-observer/document/document.js
    Error evaluating file:/Users/nriesco/git/riescorp/documentjs/node_modules/can-cid/set/set.js
    Error evaluating file:/Users/nriesco/git/riescorp/documentjs/node_modules/can-cid/can-cid.js
    You can't have two versions of can-cid, check your dependencies
      file:/Users/nriesco/git/riescorp/documentjs/node_modules/can-cid/can-cid.js:52
        throw new Error("You can't have two versions of can-cid, check your dependencies");
        ^
    
      Error: You can't have two versions of can-cid, check your dependencies
    why would it fail in my computer only?
    Nico R.
    @nriesco
    it is failing on travis when using node 8.11.1
    I’ve had that error before
    Nico R.
    @nriesco
    found this: bitovi/documentjs#282
    Chasen Le Hara
    @chasenlehara
    Yeah, was just about to link to that
    Nico R.
    @nriesco
    But I had that error on a donejs project before
    probably 6 months ago
    so it is probably fixed or fixable
    I’ll try upgrading some can related dependencies
    Chasen Le Hara
    @chasenlehara
    I don’t think it’s fixed, but fixable yeah; in that issue, Matthew outlined some changes that need to be made in DocumentJS to fix it.
    Nico R.
    @nriesco
    I’m getting closer, but I have this error:
     1) documentjs/lib/generators/html
           body is rendered as a mustache template prior to markdown:
         Error: steal-less plugin must be installed and configured properly
    See https://stealjs.com/docs/steal-less.html
          at Loader.fetch (node_modules/steal/main.js:220:11)
          at Loader.loader.fetch (node_modules/steal/main.js:4074:41)
          at Loader.loader.fetch (node_modules/steal/main.js:4181:24)
          at Loader.loader.fetch (node_modules/steal/main.js:1239:16)
          at Loader.loader.fetch (node_modules/steal/main.js:1239:16)
          at /Users/nriesco/git/riescorp/documentjs/node_modules/steal/src/loader/loader-sans-promises.js:279:33
          at <anonymous>
    I went to that url did npm install steal-less --save-dev and then
    "steal": {
      "plugins": [
        "steal-less"
      ]
    }
    Nico R.
    @nriesco
    I figured out that a previous error was from the site/static/xxxxxx project not from the main project, so I thought the steal-less config problem would be similar but it didn’t work. So where is this error coming from?
    Chasen Le Hara
    @chasenlehara
    Your attempt to add the plugins config to site/default/static/config.js seems right to me, albeit my understanding of the DocumentJS internals is pretty limited.
    But maybe steal-less needs to be added to paths?
    Does the built site’s node_modules folder have steal-less?
    Nico R.
    @nriesco

    Does the built site’s node_modules folder have steal-less?

    yes it does

    I’ll remove temp data to make sure it is ok
    yes it does

    But maybe steal-less needs to be added to paths?

    I don’t know how to do that

    Nico R.
    @nriesco
    "paths": {
            “steal-less": “somepath"
        }
    but relative to what?
    Nico R.
    @nriesco

    I tried using this

        "paths": {
            "steal-less": "node_modules/steal-less"
        }

    but nothing